Skip to main content

UpdateStakeHolderRequestBody

Request body for partially updating an existing stakeholder (HTTP PATCH)

firstNamestring | nullnullable

First name of the person (only for person stakeholders)

Example: John
lastNamestring | nullnullable

Last name of the person (only for person stakeholders)

Example: Doe
companyNamestring | nullnullable

Company name (only for company stakeholders)

Example: Acme Corporation
sirenstring | nullnullable

SIREN number (only for company stakeholders)

Example: 123456789
addressstring | nullnullable

Address of the company

postalCodestring | nullnullable

Postal code of the company

citystring | nullnullable

City of the company

externalCodestring | nullnullable

External code of the company

contactsDetails object[]

Contact details list. If present, it REPLACES the existing list.

  • Array [
  • emailstring | nullnullable

    Email address of the contact (optional)

    Example: john.doe@example.com
    phoneNumberstring | nullnullable

    Phone number of the contact (optional)

    Example: 0123456789
    additionalInfosstring | nullnullable

    Additional infos of the contact (optional)

    creationDatestring | nullnullable

    Date of creation of the contact (optional)

    Example: 2020-01-01
  • ]
  • isActiveboolean | nullnullable

    Active flag. If present, it updates the current value.

    Example: true
    faxstring | nullnullable

    Fax of the company

    functionstring | nullnullable

    Function of the person

    phoneNumbers object[]

    Qualified phone numbers. If present, it REPLACES the existing list.

  • Array [
  • valuestringrequired

    Value of the coordinate (phone number or email)

    Example: 0611223344
    typestringrequired

    Qualifier of the coordinate

    Example: Mobile
    isPrimarybooleanrequired

    Whether this is the primary coordinate of its type

    Example: true
  • ]
  • emails object[]

    Qualified emails. If present, it REPLACES the existing list.

  • Array [
  • valuestringrequired

    Value of the coordinate (phone number or email)

    Example: 0611223344
    typestringrequired

    Qualifier of the coordinate

    Example: Mobile
    isPrimarybooleanrequired

    Whether this is the primary coordinate of its type

    Example: true
  • ]
  • parentUidstring | nullnullable

    Refers to the stakeholder hierarchy only (not the asset perimeter or a contract): uid of this stakeholder's parent company — the mother company for a company, the attachment company for a person

    Example: 030f134a-fb24-4a16-8acb-d29d9ba50077
    UpdateStakeHolderRequestBody
    {
    "firstName": "John",
    "lastName": "Doe",
    "companyName": "Acme Corporation",
    "siren": "123456789",
    "address": "string",
    "postalCode": "string",
    "city": "string",
    "externalCode": "string",
    "contactsDetails": "Unknown Type: array,null",
    "isActive": true,
    "fax": "string",
    "function": "string",
    "phoneNumbers": "Unknown Type: array,null",
    "emails": "Unknown Type: array,null",
    "parentUid": "030f134a-fb24-4a16-8acb-d29d9ba50077"
    }